#pragma once

#include "CoreMinimal.h"
#include "GenericPopupViewData.h"
#include "ItemSummaryPopupViewData.generated.h"

class ULoadoutItemViewData;

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API UItemSummaryPopupViewData : public UGenericPopupViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	TArray<ULoadoutItemViewData*> ItemData;

public:
	UItemSummaryPopupViewData();
};

FORCEINLINE uint32 GetTypeHash(const UItemSummaryPopupViewData) { return 0; }
